<!DOCTYPE html>
<html lang="en" dir="ltr">
<head> 
    <meta charset="utf-8">
    <link rel="stylesheet" href="{{ url_for('static',filename='styles/partida.css') }}">
    <title>MagiCards</title>
</head>

<body>
 
    <div style="float: left; height: 100vh; padding: 5%; padding-right: 0; margin-left: 20%;">
        <div style="height: 45%; margin: auto 0 auto auto; display: flex; align-content: center;">
            <div style="float: left;"><h2 style="font-size: medium; margin: auto;">CARTAS DO</h2><h2 style="font-size: medium; margin: auto;">ADVERSÁRIO</h2></div>
        </div>
        <div style="height: 10%; min-width: 100px;">
            <br style="width: auto;">
        </div>
        <div style="height: 45%; margin: auto 0 auto auto; display: flex; align-content: center;">
            <div style="float: left;"><h2 style="font-size: medium; margin: auto;">SUAS CARTAS</h2></div>
        </div>
    </div>
    
    <div class="tela" style="margin-right: 20%;">
    <div class="deck"> <!-- agrupamento de cartas -->
        <div>
            <div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            </div><div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            </div>
        </div>
    </div>

    <div style="min-height: 10%; display: flex; align-content: center;">
        <button class="botao_jogada" onclick="iniciarPartida()" style="margin: auto;">INICIAR PARTIDA</button>
    </div>

    <div class="deck"> <!-- agrupamento de cartas -->
        <div>
            <div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            </div><div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            <div class="carta" style="cursor: default; height: 160px; width: 120px;"><div><h2 style="margin-bottom: 10px; font-weight: 800;"></h2><img height="40px"></img></div></div>
            </div>
        </div>
    </div>
    </div>

</body>

<script>

window.onload = function() {
    iconesElementos()
};

cartas = {{deck|safe}}

function iconesElementos() {
    local_cartas = document.getElementsByClassName('carta')
    for (let i = 0; i < local_cartas.length; i++) {
        atributo = atributoCarta(cartas[i][0])
        local_cartas[i].className = 'carta '+ atributo[0]
        local_cartas[i].querySelector("img").src = atributo[1]
        local_cartas[i].querySelector("h2").innerHTML = cartas[i][1]
    }
}

function atributoCarta(num) {
    if (num==0) {
        return ["gelo", "{{ url_for('static',filename='img/gelo.svg') }}"] 
    } if (num==1) {
        return ["fogo", "{{ url_for('static',filename='img/fogo.svg') }}"]
    } 
    return ["agua", "{{ url_for('static',filename='img/agua.svg') }}"]
}

function iniciarPartida() {
    window.location.replace('/partida')
}
</script>
</html>
